WSLAY_EVENT_CONFIG_SET_CALLBACKS(3)

NAME
wslay_event_config_set_callbacks - Set callback functions

SYNOPSIS

#include <wslay/wslay.h>

void wslay_event_config_set_callbacks(wslay_event_context_ptr ctx, const struct wslay_event_callbacks *callbacks)

DESCRIPTION

wslay_event_config_set_callbacks() sets callbacks to ctx. The callbacks previously set by this function or wslay_event_context_server_init() or wslay_event_context_client_init() are replaced with callbacks.

SEE ALSO

wslay_event_context_server_init(), wslay_event_context_client_init()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa